summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-07-16 17:39:41 +0200
committerMichał Górny <mgorny@gentoo.org>2020-07-16 21:00:39 +0200
commitb890154d4019512fd1e7f9bb60ed5f690ceeacfd (patch)
tree7bc5ffecba39e1e65e05e8ddae9fad26134aba9e
parentsys-kernel/vanilla-kernel: Bump to 5.7.9 (diff)
downloadgentoo-b890154d4019512fd1e7f9bb60ed5f690ceeacfd.tar.gz
gentoo-b890154d4019512fd1e7f9bb60ed5f690ceeacfd.tar.bz2
gentoo-b890154d4019512fd1e7f9bb60ed5f690ceeacfd.zip
sys-kernel/gentoo-kernel: Bump to 5.7.9
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--sys-kernel/gentoo-kernel/Manifest4
-rw-r--r--sys-kernel/gentoo-kernel/gentoo-kernel-5.7.9.ebuild85
2 files changed, 89 insertions, 0 deletions
diff --git a/sys-kernel/gentoo-kernel/Manifest b/sys-kernel/gentoo-kernel/Manifest
index 1674789dd97..03fd09afffc 100644
--- a/sys-kernel/gentoo-kernel/Manifest
+++ b/sys-kernel/gentoo-kernel/Manifest
@@ -18,6 +18,8 @@ DIST genpatches-5.6-22.base.tar.xz 499020 BLAKE2B c6a9977f776a79a3da7b61dd57fbf7
DIST genpatches-5.6-22.extras.tar.xz 1764 BLAKE2B 64a589b498dfa1cc41b525a90b77a1524926a4ff9a2f9c1e2e7bd3d3750c531df3545e4af68a04fc7e3e641b6c8985a627190407f6eb85657eac960261f98ef6 SHA512 d0c11d9d5d2966ad3bf2da898e89f99b83f179f5ffda28c8ff4c0c0d0eb7a0e2553d1773ced53557fa54a58a85486802acd51f372ec3026862af58c09049a0f4
DIST genpatches-5.6-23.base.tar.xz 540292 BLAKE2B f22ce1772f5ab80c9a20e6447a3874c7c664dfe8c1934202706e6d2e84fc378068dc98719796d45809392e7e32d6c0a2233693617f3c3ce84f42dfab00dcdbe7 SHA512 f5db5e258efc2fd0d29e1a772f03838d232b11b9fc22e9cc78ecab70cfcae819a9bc7c24234fbaf94c2b30b559f4fb88e493643e4a6e58169e62eb665564ee9c
DIST genpatches-5.6-23.extras.tar.xz 1764 BLAKE2B e9dc2a6c1a326782aa1b58f37ad416b39348d30bc24ef2c7af9bac1d734e8c8f058a33a43150eb9cdf7dcc7323a509066082e79eecc582977ad320c5e34fb4a9 SHA512 1c9455a8d52304bf930c1618b98bad7e1c3af47d4984fa8e65ca5723d8120b3ce8ac9106b9e3ecb5824a3220be2706febe1abcdae7c5022a02d7ed5fe07cdf2a
+DIST genpatches-5.7-10.base.tar.xz 471556 BLAKE2B 895b76bb27d9bb8ac06514e1dbb6cb16994b6e5f7357b01efce5ff27d4337975507b132f747bf4a4508de33afb65554aa87c704766f28866efe6d4edf21b9618 SHA512 6fa423283cce5ebf82a45a95965b449aabebf9a49dfceb6173552e7cc6dfe5bdbd54817c7a3a239602fe363993b0b08005e769a350b2e4263eeac9c1eac4b13d
+DIST genpatches-5.7-10.extras.tar.xz 1768 BLAKE2B f51851b7e4fa9eaeab537eb33f09ee19247f078d302167acce077f2804a1e4ea28012f9d9b1cbd9cd0997a6e6ae5785ecb40738c5bec2dc75574c301e047ab4a SHA512 05f9e6c87f736735fc004e9127f79ad820983e59147a79e11357e49b0ff45f924b82d6b5683ea7fe7807cf8b981a8c3e8fb4b731c0fd8d8dcee1e1856dab3ace
DIST genpatches-5.7-5.base.tar.xz 68572 BLAKE2B a5f975ae2fd61e1e732da8ccb364b969930563752f78fe0e0632edeb486312ca7d9a09fc1e57b99bada394e90cb3a3b76eb41ef8218f93ea0a4dc4f1f23ce012 SHA512 ef5c254b03edf280f3e38ff49d17a856b1d3898bafb8018d1874c1fca3ead90edc88799bbba1cadca34b2a0b2a55b7e7905910ae941e665f783fc3e355274fc0
DIST genpatches-5.7-5.extras.tar.xz 1764 BLAKE2B 381917b2f8844995edf7c86b9420457ea2d8d8904fc5af94c6ce26990943bd7a61467e3386ccedff42cb4d6c51a2b477ebb89a763edba964995a61ba46f5f4f5 SHA512 8e716f61f988951f2b80e1e667752228067606275392a6084a564e9e4e051d86823458084cf7a3c17a0e56ae58253aeb01065e2329d480995d15b646eb5be761
DIST genpatches-5.7-6.base.tar.xz 182364 BLAKE2B facff9299c5913596be8bba1dcab4b06e2ae697d66df645ac7c0e8aecfbea7788b4c4574cee69d4db3cf9c8f97c18be4af17f42ef4ec1fc7380b4936ab63cfa9 SHA512 68d3e2e70ac6838ad98b179e9b0694ce96ec0fefec98b497ed0fc689958d413f502915101ee9f38fff1fb5fb6b57d9e79d12870e280bcd84836cf30cd682a654
@@ -28,7 +30,9 @@ DIST genpatches-5.7-8.base.tar.xz 388040 BLAKE2B c6c9a9d335793f3b6d87597d41c260e
DIST genpatches-5.7-8.extras.tar.xz 1764 BLAKE2B 5502d8c06613ef52c202912b7459daa2c62bd4e937c367b82a0d6e0b50c50d29c8ea32828add17f4c90ac5bd6c994ee3e6229357ac186269a22389a481da9e52 SHA512 3c4087fed105ae8055e7db9f481518ad7f02d668a958a0c19a08e3ecf0ab3e517032e36ebdc2b2a4f747019036b89692cdbfcd379687eac8791f8d5a214c2fb3
DIST genpatches-5.7-9.base.tar.xz 422996 BLAKE2B b642f97c554acfed1c360ed0a39e8dc926717bcae6d8544e6a8cffbcca892dd489709ef8490b409128a33612b74df7d57c35a10a8f4f6ed4a711bc26cac31293 SHA512 470d95d5964426fdc976f45ab66d03395f9597a5090b2f452607acce6baff5827dbfc385e033125429db4d8d4e32a7e356c3ccfac149c538c604cf331286c2f0
DIST genpatches-5.7-9.extras.tar.xz 1764 BLAKE2B eb8d437e2761aa350548643ef39beaf73cd7935a0c2028b44edaf9d93c833b7050d11b66e540731708911df971f4bf4b947a89eeddcd9b49278fe1afceb16753 SHA512 4dc6cf6c181756aac4ea0bdffd571e64d787a592d5878d4c90f1f76e34beb3726e94d070b2138b68124ebd01de43b09595072c5f737eb6181d283edbc85d30e9
+DIST kernel-i686-fedora.config.5.7.8 191864 BLAKE2B 217857254ffd12e987a5bd573e2520508bc70764b6363fc2c6bda1e5be46b70528616b26167150cba32f9e57fe17883c455fed34615a216b2398017d307971db SHA512 b90c6f2cdb55bcb115d7b92752a6efd8fdc09f68acbf365b08c9ff89732745f26d2644e18cb097ffd92d75cff07dbd98a9723179a35dc72ce01a732bdd632592
DIST kernel-i686.config.5.4.21 183910 BLAKE2B 185126ffb85718bb73761d01683def80b6f002d7a7a6eddd8e858a30d8eadc863fb378d83a1cd2ed82b3540337fa66ae44475e31fb41ebc46d77005b6f54e5c0 SHA512 6307afc2295902e44fe65b1cccaa7a0260b295a5f21f1d67ec66197bd972bd3f5675b624f08d9da8b224cb3ec987d5c21cbd743599aeab9ac6214bc651f43476
+DIST kernel-x86_64-fedora.config.5.7.8 192882 BLAKE2B 23044bd3625d1ced686950c1322e91dd99eddb3128ab830c8862f5c949b66df67bc9ce38b810f4d54a35f9b9f11feb58d01450593ec513e132d789e3a50ac48b SHA512 b7770da1f608e8f0ec227dbeaf66491815e9fc4f8f08f01d2ad5877dd1946e73b315e8834f35cb5fc035fc3ac52ede8365107515d54b0792f326ad937d901625
DIST kernel-x86_64.config.5.4.21 184907 BLAKE2B 0eb2b07c14cea7545350fcdf3a94f2a531f0137c502ebda9299cacf44da5385686e2049b480b28bc153c9d413d453cfe682b9655eefe70428cb720f57c7bd200 SHA512 f3b3ee6841555ac3a9cc11536a7d44e1a5a8df2bab14ba341fda7df1ceb0de45cf1c799a1d54a64f2858fd1272d348bb52cf269ffa396878c5402baf2730237f
DIST linux-5.4.15-arch1.amd64.config 241498 BLAKE2B 2ba5eab2455c909878c36c6084718331042d0f6ab42127868ffb1522f4b53de38879e5707328968e943d1fa44cc504626af52b733829e943532931b49a612834 SHA512 582577bfe4139a8f50c5881cd5a9f24dc3da3124e464756f9efc3d39894eac378483d052e1142730585e40a45641166d309b5e1b5e379f4a5ea2d5ebb2d3314b
DIST linux-5.4.15-arch1.i686.config 241195 BLAKE2B d3332b83a3d57c450bb1d5e85d83c71f3be730a15775b7e1d89cec2d72d28f1921987c63d95fe7bea6778efe0012ece6186449f07f6aca35ccf86805186c0f4c SHA512 187d88bdde7325d46b4bfee8d59ace88ab7dc377606b411e1249f9deee2b571ec42bac52c29d26d67bfadece2e77aad6d5e0255a95a84c200757cb05c69160a1
diff --git a/sys-kernel/gentoo-kernel/gentoo-kernel-5.7.9.ebuild b/sys-kernel/gentoo-kernel/gentoo-kernel-5.7.9.ebuild
new file mode 100644
index 00000000000..f0988ba69fb
--- /dev/null
+++ b/sys-kernel/gentoo-kernel/gentoo-kernel-5.7.9.ebuild
@@ -0,0 +1,85 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kernel-build
+
+MY_P=linux-${PV%.*}
+GENPATCHES_P=genpatches-${PV%.*}-$(( ${PV##*.} + 1 ))
+# https://koji.fedoraproject.org/koji/packageinfo?packageID=8
+CONFIG_VER=5.7.8
+CONFIG_HASH=14d239184a721485a823f30f5aede1c6190558ad
+
+DESCRIPTION="Linux kernel built with Gentoo patches"
+HOMEPAGE="https://www.kernel.org/"
+SRC_URI+=" https://cdn.kernel.org/pub/linux/kernel/v$(ver_cut 1).x/${MY_P}.tar.xz
+ https://dev.gentoo.org/~mpagano/dist/genpatches/${GENPATCHES_P}.base.tar.xz
+ https://dev.gentoo.org/~mpagano/dist/genpatches/${GENPATCHES_P}.extras.tar.xz
+ amd64? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-x86_64-fedora.config
+ -> kernel-x86_64-fedora.config.${CONFIG_VER}
+ )
+ x86? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-i686-fedora.config
+ -> kernel-i686-fedora.config.${CONFIG_VER}
+ )"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="debug"
+REQUIRED_USE="
+ arm? ( savedconfig )
+ arm64? ( savedconfig )"
+
+RDEPEND="
+ !sys-kernel/vanilla-kernel:${SLOT}
+ !sys-kernel/vanilla-kernel-bin:${SLOT}"
+BDEPEND="
+ debug? ( dev-util/dwarves )"
+
+pkg_pretend() {
+ ewarn "Starting with 5.7.9, Distribution Kernels are switching from Arch"
+ ewarn "Linux configs to Fedora. Please keep a backup kernel just in case."
+
+ kernel-install_pkg_pretend
+}
+
+src_prepare() {
+ local PATCHES=(
+ # meh, genpatches have no directory
+ "${WORKDIR}"/*.patch
+ )
+ default
+
+ # prepare the default config
+ case ${ARCH} in
+ amd64)
+ cp "${DISTDIR}/kernel-x86_64-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ x86)
+ cp "${DISTDIR}/kernel-i686-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ arm|arm64)
+ return
+ ;;
+ *)
+ die "Unsupported arch ${ARCH}"
+ ;;
+ esac
+
+ local config_tweaks=(
+ # shove arch under the carpet!
+ -e 's:^CONFIG_DEFAULT_HOSTNAME=:&"gentoo":'
+ # we do support x32
+ -e '/CONFIG_X86_X32/s:.*:CONFIG_X86_X32=y:'
+ # disable signatures
+ -e '/CONFIG_MODULE_SIG/d'
+ -e '/CONFIG_SECURITY_LOCKDOWN/d'
+ )
+ use debug || config_tweaks+=(
+ -e '/CONFIG_DEBUG_INFO/d'
+ )
+ sed -i "${config_tweaks[@]}" .config || die
+}